Subject: Re: [alpine-user] Error with alpine apk manager.

From: Daniel Isaksen <[email-masked]>
Date: Tue, 20 Nov 2018 12:48:36 +0100

/tmp/pip-install-ca2c255t/secp256k1/libsecp256k1/autogen.sh: line 3:
*autoreconf:
not found*

You have not installed the necessary dependencies.

When I installed it, I had to install several dependencies for the build
process to successfully complete.

In this specific case, you must run apk add autoconf.

-----
Sincerely / Med vennlig hilsen,
Daniel Isaksen <[email-masked]> (https://duniel.no)

On Tue, Nov 20, 2018 at 11:52 AM Igor Matchenko <[email-masked]>
wrote:

> Here is our stack trace:
> Running setup.py install for secp256k1: started
>     Running setup.py install for secp256k1: finished with status 'error'
>     Complete output from command /usr/local/bin/python -u -c "import
> setuptools,
> tokenize;__file__='/tmp/pip-install-ca2c255t/secp256k1/setup.py';f=getattr(tokenize,
> 'open', open)(__file__);code=f.read().replace('\r\n',
> '\n');f.close();exec(compile(code, __file__, 'exec'))" install --record
> /tmp/pip-record-bj9m_f5m/install-record.txt
> --single-version-externally-managed --compile:
>     1.3.10
>     Using bundled libsecp256k1
>     running install
>     running build
>     running build_py
>     creating build
>     creating build/lib.linux-x86_64-3.6
>     creating build/lib.linux-x86_64-3.6/secp256k1
>     copying secp256k1/__init__.py -> build/lib.linux-x86_64-3.6/secp256k1
>     copying secp256k1/__main__.py -> build/lib.linux-x86_64-3.6/secp256k1
>     running build_clib
>     /tmp/pip-install-ca2c255t/secp256k1/libsecp256k1/autogen.sh: line 3:
> autoreconf: not found
>     Traceback (most recent call last):
>       File "<string>", line 1, in <module>
>       File "/tmp/pip-install-ca2c255t/secp256k1/setup.py", line 295, in
> <module>
>         "Topic :: Security :: Cryptography"
>       File
> "/usr/local/lib/python3.6/site-packages/setuptools/__init__.py", line 131,
> in setup
>         return distutils.core.setup(**attrs)
>       File "/usr/local/lib/python3.6/distutils/core.py", line 148, in setup
>         dist.run_commands()
>       File "/usr/local/lib/python3.6/distutils/dist.py", line 955, in
> run_commands
>         self.run_command(cmd)
>       File "/usr/local/lib/python3.6/distutils/dist.py", line 974, in
> run_command
>         cmd_obj.run()
>       File
> "/usr/local/lib/python3.6/site-packages/setuptools/command/install.py",
> line 61, in run
>         return orig.install.run(self)
>       File "/usr/local/lib/python3.6/distutils/command/install.py", line
> 545, in run
>         self.run_command('build')
>       File "/usr/local/lib/python3.6/distutils/cmd.py", line 313, in
> run_command
>         self.distribution.run_command(command)
>       File "/usr/local/lib/python3.6/distutils/dist.py", line 974, in
> run_command
>         cmd_obj.run()
>       File "/usr/local/lib/python3.6/distutils/command/build.py", line
> 135, in run
>         self.run_command(cmd_name)
>       File "/usr/local/lib/python3.6/distutils/cmd.py", line 313, in
> run_command
>         self.distribution.run_command(command)
>       File "/usr/local/lib/python3.6/distutils/dist.py", line 974, in
> run_command
>         cmd_obj.run()
>       File "/tmp/pip-install-ca2c255t/secp256k1/setup.py", line 165, in run
>         cwd=absolute("libsecp256k1"),
>       File "/usr/local/lib/python3.6/subprocess.py", line 291, in
> check_call
>         raise CalledProcessError(retcode, cmd)
>     subprocess.CalledProcessError: Command
> '['/tmp/pip-install-ca2c255t/secp256k1/libsecp256k1/autogen.sh']' returned
> non-zero exit status 127.
>
>     ----------------------------------------
> Command "/usr/local/bin/python -u -c "import setuptools,
> tokenize;__file__='/tmp/pip-install-ca2c255t/secp256k1/setup.py';f=getattr(tokenize,
> 'open', open)(__file__);code=f.read().replace('\r\n',
> '\n');f.close();exec(compile(code, __file__, 'exec'))" install --record
> /tmp/pip-record-bj9m_f5m/install-record.txt
> --single-version-externally-managed --compile" failed with error code 1 in
> /tmp/pip-install-ca2c255t/secp256k1/
>
> On Mon, 19 Nov 2018 at 16:23, Daniel Isaksen <[email-masked]> wrote:
>
>> Hi Igor,
>>
>> I am unable to reproduce this issue in a x86_64 container running Alpine
>> Linux edge.
>>
>> Which commands are you running, and what is the unexpected/erroneous
>> output from said commands?
>>
>> P.S.: I am assuming you mean the package "sawtooth-sdk" on PyPI.
>>
>> -----
>> Sincerely / Med vennlig hilsen,
>> Daniel Isaksen <[email-masked]> (https://duniel.no)
>>
>>
>> On Mon, Nov 19, 2018 at 3:02 PM Igor Matchenko <[email-masked]>
>> wrote:
>>
>>> Hello.
>>> We use alpine in our docker image. We are trying to install
>>> sawtooth_sdk by pip, but during installation there is an error that there
>>> can be no lib26p256k1. When you try to put it through the apk, it says
>>> that it does not exist.
>>> Thanks for attention.
>>>
>>